[问题]安装显卡驱动失败的问题

为当前最终发行版之前的所有版本提供支持
回复
xxzeng
帖子: 5
注册时间: 2007-03-15 21:33
送出感谢: 0
接收感谢: 0
联系:

[问题]安装显卡驱动失败的问题

#1

帖子 xxzeng » 2007-03-15 21:36

安装显卡驱动失败,版本为 NVIDIA-Linux-x86-1.0-9746-pkg1.run
下面是log里的东东(前半段没贴)

Kernel module compilation complete.
ERROR: Unable to load the kernel module 'nvidia.ko'. This happens most
frequently when this kernel module was built against the wrong or
improperly configured kernel sources, with a version of gcc that differs
from the one used to build the target kernel, or if a driver such as
rivafb/nvidiafb is present and prevents the NVIDIA kernel module from
obtaining ownership of the NVIDIA graphics device(s).

Please see the log entries 'Kernel module load error' and 'Kernel
messages' at the end of the file '/var/log/nvidia-installer.log' for
more information.
-> Kernel module load error: insmod: error inserting './usr/src/nv/nvidia.ko':
-1 No such device
-> Kernel messages:
[17179597.572000] ACPI: Power Button (FF) [PWRF]
[17179597.572000] ACPI: Power Button (CM) [PWRB]
[17179597.572000] ACPI: Sleep Button (CM) [SLPB]
[17179597.672000] ibm_acpi: ec object not found
[17179597.704000] pcc_acpi: loading...
[17179603.172000] ppdev: user-space parallel port driver
[17179603.492000] apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
[17179603.492000] apm: overridden by ACPI.
[17179604.232000] eth0: no IPv6 routers present
[17179607.168000] Bluetooth: Core ver 2.8
[17179607.168000] NET: Registered protocol family 31
[17179607.168000] Bluetooth: HCI device and connection manager initialized
[17179607.168000] Bluetooth: HCI socket layer initialized
[17179607.216000] Bluetooth: L2CAP ver 2.8
[17179607.216000] Bluetooth: L2CAP socket layer initialized
[17179607.360000] Bluetooth: RFCOMM socket layer initialized
[17179607.360000] Bluetooth: RFCOMM TTY layer initialized
[17179607.360000] Bluetooth: RFCOMM ver 1.7
[17179795.256000] nvidia: module license 'NVIDIA' taints kernel.
[17179795.264000] NVRM: The NVIDIA GeForce2 MX/MX 400 GPU installed in this
system is
[17179795.264000] NVRM: supported through the NVIDIA 1.0-96xx Legacy
drivers. Please
[17179795.264000] NVRM: visit http://www.nvidia.com/object/unix.html for
more
[17179795.264000] NVRM: information. The 1.0-9746 NVIDIA driver will
ignore
[17179795.264000] NVRM: this GPU. Continuing probe...
[17179795.264000] NVRM: No NVIDIA graphics adapter found!
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
头像
coffer
帖子: 673
注册时间: 2006-12-22 21:05
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 coffer » 2007-03-15 23:28

你的顯卡是gf2 MX/MX400的吧,9746及以上的驅動不再支持GF3以下的顯卡,所以這個驅動不能用,請安裝96XX系列的驅動。
elume
帖子: 39
注册时间: 2007-02-05 20:06
送出感谢: 0
接收感谢: 0

#3

帖子 elume » 2007-03-16 0:47

下载这个版本的驱动:
Latest Legacy GPU version
回复

回到 “老旧版本支持”